<?php

namespace Drupal\migrate_sandbox\Plugin\migrate\destination;

use Drupal\migrate\Plugin\migrate\destination\Config;
use Drupal\migrate\Row;

/**
 * Destination used by Migrate Sandbox.
 *
 * @MigrateDestination(
 *   id = "migrate_sandbox"
 * )
 */
class MigrateSandboxDestination extends Config {

  /**
   * {@inheritdoc}
   */
  public function import(Row $row, array $old_destination_id_values = []) {

    // We prepend 'results.' to the keys so we can validate schema.
    foreach ($row->getRawDestination() as $key => $value) {
      if (isset($value) || !empty($this->configuration['store null'])) {
        $this->config->set('results.' . str_replace(Row::PROPERTY_SEPARATOR, '.', $key), $value);
      }
    }
    $this->config->save();
    $ids[] = $this->config->getName();

    return $ids;
  }

}
